#include <stdlib.h>
#include <stdio.h>
#include <time.h>
#include <string.h>
#include <pthread.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <netdb.h>
#include <semaphore.h>


#define LARGEUR 20
#define HAUTEUR 20

#define VISION 1

#define AvGa 0
#define Av   1
#define AvDr 2 
#define Dr   3
#define ArDr 4
#define Ar   5
#define ArGa 6
#define Ga   7

#define NoOu ( -LARGEUR - 1 )
#define No   ( -LARGEUR )
#define NoEs ( -LARGEUR + 1 )
#define Es   ( 1 )
#define SuEs ( LARGEUR + 1 )
#define Su   ( LARGEUR )
#define SuOu ( LARGEUR - 1 )
#define Ou   ( -1 )

#define LATENCE 10

#define PORT 9034   

#define CONNECT "Connection d'un Client\n"
#define READ    "Lecture dans Map\n"
#define WRITE   "Ecriture dans Map_memory\n"

#define DEBUG if(0) fprintf

#define when break; case
#define or   case

void *capteur (void *);
int recupere(int, int);
void envoi(char);
int parcour(int, int, int, int);
int deplace(int);
